# $Revision: 1.21 $, $Date: 2010/03/25 07:55:01 $
Summary:	Library for NTLM authentication
Summary(pl.UTF-8):	Biblioteka do uwierzytelniania NTLM
Name:		libntlm
Version:	1.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://josefsson.org/libntlm/releases/%{name}-%{version}.tar.gz
# Source0-md5:	13b40af721b29005652fb429a3ae9582
URL:		http://josefsson.org/libntlm/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libntlm library provides routines to manipulate the structures used
for the client end of Microsoft NTLM authentication.

This code was taken mostly from the Samba project and was initially
intended for use with Microsoft Exchange Server when it is configured
to require NTLM authentication for clients of its IMAP server.

%description -l pl.UTF-8
Biblioteka libntlm dostarcza procedury do obróbki struktur używanych
po stronie klienta mechanizmu uwierzytelniania Microsoft NTLM.

Ten kod pochodzi w większości z projektu Samba i początkowo miał być
używany z serwerem Microsoft Exchange w przypadku, gdy został
skonfigurowany aby wymagać uwierzytelnienia NTLM od klientów swojego
serwera IMAP.

%package devel
Summary:	Header files for libntlm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libntlm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libntlm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libntlm.

%package static
Summary:	Static libntlm library
Summary(pl.UTF-8):	Statyczna biblioteka libntlm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libntlm library.

%description static -l pl.UTF-8
Statyczna biblioteka libntlm.

%prep
%setup -q

%{__rm} m4/{libtool.m4,lt*}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_libdir}/libntlm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libntlm.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libntlm.so
%{_libdir}/libntlm.la
%{_includedir}/ntlm.h
%{_pkgconfigdir}/libntlm.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libntlm.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libntlm.spec,v $
Revision 1.21  2010/03/25 07:55:01  qboosh
- updated to 1.2

Revision 1.20  2008/05/12 18:21:27  qboosh
- updated to 1.0

Revision 1.19  2008-03-27 16:59:33  glen
- rm outdated libtool m4 macros

Revision 1.18  2008-03-27 12:18:11  glen
- force system libtool, which is not broken; rel 2

Revision 1.17  2008-03-15 16:57:12  qboosh
- updated to 0.4.2

Revision 1.16  2007-12-15 00:39:21  qboosh
- updated to 0.4.1

Revision 1.15  2007-05-01 09:04:00  qboosh
- updated to 0.3.13

Revision 1.14  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.12  2006/12/13 12:56:18  pluto
- release 2, rebuild with P: *.la.

Revision 1.11  2006/09/17 22:15:52  qboosh
- updated to 0.3.12

Revision 1.10  2006/05/16 22:36:00  qboosh
- updated to 0.3.11

Revision 1.9  2005/11/16 23:51:17  qboosh
- updated to 0.3.9

Revision 1.8  2005/10/07 14:16:46  qboosh
- updated to 0.3.8, License is LGPL

Revision 1.7  2005/08/15 08:30:49  qboosh
- updated to 0.3.7

Revision 1.6  2005/05/31 20:46:50  charles
- libtoolize, BR: libtool

Revision 1.5  2005/05/30 09:57:55  charles
- ac/am, BR: autoconf

Revision 1.4  2004/10/01 08:41:03  paladine
- updated to 0.3.6

Revision 1.3  2004/01/18 21:18:39  qboosh
- update config.* (for amd64)

Revision 1.2  2003/08/03 10:25:34  qboosh
- added missing ldconfig

Revision 1.1  2003/07/26 22:05:25  qboosh
- new
